[Rubygems-developers] [CruiseControl] RubyGemsGitHub build 78d9d31 failed

devnull+rubygems-ci at pivotallabs.com devnull+rubygems-ci at pivotallabs.com
Fri Nov 12 15:35:03 EST 2010


The build failed.

CHANGES
-------
Revision ...78d9d31b90c5735df83201db44c226d350ff0b9e committed by Ryan Davis <ryand-ruby at zenspider.com> on 2010-11-12 20:29:34

    cleaned up the tests using util_gem w/ block for add_dependency

 test/gemutilities.rb                  |    2 +-
 test/test_gem_dependency_installer.rb |   10 +++++-----
 2 files changed, 6 insertions(+), 6 deletions(-)
Revision ...6ffd6e30e5b10ef71e17a706226eed51ab59d81c committed by Ryan Davis <ryand-ruby at zenspider.com> on 2010-11-12 20:23:39

    Added two dependency installer tests we're missing: divergent resolve should blow up and convergent mismatch should resolve properly

 test/test_gem_dependency_installer.rb |   53 +++++++++++++++++++++++++++++++++
 1 files changed, 53 insertions(+), 0 deletions(-)
Revision ...3cd4428e5ca27934314d25212a409dea62b5d98f committed by Ryan Davis <ryand-ruby at zenspider.com> on 2010-11-12 20:22:51

    Added cleaner way of adding dependencies to util_gem

 test/gemutilities.rb |   10 +++++++++-
 1 files changed, 9 insertions(+), 1 deletions(-)
Revision ...6e8a25de4955af04915297c97990d919603bc446 committed by Ryan Davis <ryand-ruby at zenspider.com> on 2010-11-12 20:22:13

    Added ability to specify files to focus autotest

 .autotest |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)



TEST FAILURES AND ERRORS
-----------------------
Name: test_gather_dependencies_over(TestGemDependencyInstaller)
Type: Failure
Message: Expected ["b-1.0", "c-1.0", "a-1.0"], not ["b-2.0", "c-1.0", "a-1.0"].

./test/test_gem_dependency_installer.rb:655


Name: test_gather_dependencies_under(TestGemDependencyInstaller)
Type: Failure
Message: Gem::DependencyError expected but nothing was raised.

./test/test_gem_dependency_installer.rb:678




See http://ci.pivotallabs.com:3333/builds/RubyGemsGitHub/78d9d31b90c5735df83201db44c226d350ff0b9e for details.


More information about the Rubygems-developers mailing list